- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# facter – Runs the discovery program facter on the remote system

- Synopsis

- Requirements

- Examples

- Status

## Synopsis

- Runs the facter discovery program (https://github.com/puppetlabs/facter) on the remote system, returning JSON data that can be useful for inventory purposes.

## Requirements

The below requirements are needed on the host that executes this module.

- facter

- ruby-json

## Examples

    # Example command-line invocation
    ansible www.example.net -m facter

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Ansible Core Team

- Michael DeHaan

Hint

If you notice any issues in this documentation, you can edit this document to improve it.